Jobs
Delete Multiple Jobs
Delete multiple quantum jobs by their job QRNs.
Query Parameters:
- qrns (string, required): JSON array of job QRNs to delete (e.g., ["qrn1", "qrn2"])
Returns:
- Object containing arrays of successfully deleted and failed job QRNs
Raises:
- 422: Validation error if the qrns parameter is invalid
Authorizations
X-API-KEYstringheaderrequiredAuthenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.
Query Parameters
qrnsstringrequiredJSON array of job QRNs to delete (e.g., ["qbraid:job:abc123", "qbraid:job:xyz789"])
Response
200Successful Response
successbooleanrequiredWhether the operation completed
dataobjectrequired422Validation Error
curl --request DELETE \
--url https://api-v2.qbraid.com/api/v1/jobs?qrns=%3Cqrns%3E \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-v2.qbraid.com/api/v1/jobs?qrns=%3Cqrns%3E"
headers = {
"X-API-KEY": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.json())const url = "https://api-v2.qbraid.com/api/v1/jobs?qrns=%3Cqrns%3E";
const options = {
method: "DELETE",
headers: {"X-API-KEY":"<api-key>"},
};
const response = await fetch(url, options);
console.log(await response.json());{
"success": true,
"data": {
"successfulIds": [
"<string>"
],
"failedIds": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}DELETE
Delete Multiple Jobs
Delete Multiple Jobs
Response
Fill in the request and press Send to see the live response.200
{
"success": true,
"data": {
"successfulIds": ["qbraid:job:abc123xyz", "qbraid:job:def456uvw"],
"failedIds": {
"qbraid:job:invalid123": "Job not found"
}
}
}Was this page helpful?
Thanks for your feedback.

